<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Profile extends Controller_UserEnvironment
{
    public function action_student() {
        $id = $this->request->param('param1');
        $this->twig->set([
            'Account' => Model_Account::getAccountInfo($id),
            'Profile' => Model_Account::getPersonalInfo($id),
        ])->set_filename('admin/students/profile');
    }

    public function action_teacher() {
        $id = (int) $this->request->param('param1');
        $this->twig->set([
            'Account' => Model_Account::getAccountInfo($id),
            'Profile' => Model_Account::getPersonalInfo($id),
        ])->set_filename('admin/teachers/profile');
    }
}
